#ifndef _bheap_h
#define _bheap_h

#include "element.h"

struct HeapStruct;
typedef struct HeapStruct *PriorityQueue;

char *getBHeapAuthor(void);

PriorityQueue CreatePriorityQueue(int Cap,ElementType MIN_E, Comparator C);

void DestroyPriorityQueue(PriorityQueue H);

void InsertElement(PriorityQueue H, ElementType X);
ElementType DeleteMinElement(PriorityQueue H);

int IsEmpty(PriorityQueue H);
int IsFull(PriorityQueue H);

#endif /* _bheap_h */
