/*
Priority Queue package.  Manage a priority queue implemented with a 
binary heap containing pointers to objects of interest.

Objects of interest are compared using a function of type Comparator
which takes two pointers to objects and returns an int.  The int
values are -1, 0, +1, just as for strcmp.  

*/

#include <stdio.h>
#include <stdlib.h>

#include "reporter.h"
#include "bheap.h"
#include "privatebheap.h"

#ifndef max
#define max(a,b)    (((a) > (b)) ? (a) : (b))
#endif

/* replace "Anonymous Author" with "your name" */

char *getBHeapAuthor(void) {
  return "Anonymous Author";
}

/* your code to implement the bheap package goes here */
